Package de.gebit.integrity.dsl

## Interface TimeSet

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `SuiteStatement`, `SuiteStatementWithResult`
  All Known Implementing Classes:
    `TimeSetImpl`

      public interface TimeSet
      extends SuiteStatementWithResult

  A representation of the model object 'Time Set'.

  The following features are supported:

  - `Live`
  - `Start Time`
  - `Diff Time`
  - `Progression Mode`
  - `Progression Factor`
  - `Forks`
  - `Master Fork`
  See Also:
    `DslPackage.getTimeSet()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TimeDifference` | `getDiffTime()` | Returns the value of the 'Diff Time' containment reference.
    `org.eclipse.emf.common.util.EList<ForkDefinition>` | `getForks()` | Returns the value of the 'Forks' reference list.
    `String` | `getLive()` | Returns the value of the 'Live' attribute.
    `String` | `getMasterFork()` | Returns the value of the 'Master Fork' attribute.
    `TimeProgressionFactor` | `getProgressionFactor()` | Returns the value of the 'Progression Factor' containment reference.
    `String` | `getProgressionMode()` | Returns the value of the 'Progression Mode' attribute.
    `ValueOrEnumValueOrOperation` | `getStartTime()` | Returns the value of the 'Start Time' containment reference.
    `void` | `setDiffTime​(TimeDifference value)` | Sets the value of the '`Diff Time`' containment reference.
    `void` | `setLive​(String value)` | Sets the value of the '`Live`' attribute.
    `void` | `setMasterFork​(String value)` | Sets the value of the '`Master Fork`' attribute.
    `void` | `setProgressionFactor​(TimeProgressionFactor value)` | Sets the value of the '`Progression Factor`' containment reference.
    `void` | `setProgressionMode​(String value)` | Sets the value of the '`Progression Mode`' attribute.
    `void` | `setStartTime​(ValueOrEnumValueOrOperation value)` | Sets the value of the '`Start Time`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLive

          String getLive()

      Returns the value of the 'Live' attribute.
      Returns:
        the value of the 'Live' attribute.
      See Also:
        `setLive(String)`, `DslPackage.getTimeSet_Live()`

    - #### setLive

          void setLive​(String value)

      Sets the value of the '`Live`' attribute.
      Parameters:
        `value` - the new value of the 'Live' attribute.
      See Also:
        `getLive()`

    - #### getStartTime

          ValueOrEnumValueOrOperation getStartTime()

      Returns the value of the 'Start Time' containment reference.
      Returns:
        the value of the 'Start Time' containment reference.
      See Also:
        `setStartTime(ValueOrEnumValueOrOperation)`, `DslPackage.getTimeSet_StartTime()`

    - #### setStartTime

          void setStartTime​(ValueOrEnumValueOrOperation value)

      Sets the value of the '`Start Time`' containment reference.
      Parameters:
        `value` - the new value of the 'Start Time' containment reference.
      See Also:
        `getStartTime()`

    - #### getDiffTime

          TimeDifference getDiffTime()

      Returns the value of the 'Diff Time' containment reference.
      Returns:
        the value of the 'Diff Time' containment reference.
      See Also:
        `setDiffTime(TimeDifference)`, `DslPackage.getTimeSet_DiffTime()`

    - #### setDiffTime

          void setDiffTime​(TimeDifference value)

      Sets the value of the '`Diff Time`' containment reference.
      Parameters:
        `value` - the new value of the 'Diff Time' containment reference.
      See Also:
        `getDiffTime()`

    - #### getProgressionMode

          String getProgressionMode()

      Returns the value of the 'Progression Mode' attribute.
      Returns:
        the value of the 'Progression Mode' attribute.
      See Also:
        `setProgressionMode(String)`, `DslPackage.getTimeSet_ProgressionMode()`

    - #### setProgressionMode

          void setProgressionMode​(String value)

      Sets the value of the '`Progression Mode`' attribute.
      Parameters:
        `value` - the new value of the 'Progression Mode' attribute.
      See Also:
        `getProgressionMode()`

    - #### getProgressionFactor

          TimeProgressionFactor getProgressionFactor()

      Returns the value of the 'Progression Factor' containment reference.
      Returns:
        the value of the 'Progression Factor' containment reference.
      See Also:
        `setProgressionFactor(TimeProgressionFactor)`, `DslPackage.getTimeSet_ProgressionFactor()`

    - #### setProgressionFactor

          void setProgressionFactor​(TimeProgressionFactor value)

      Sets the value of the '`Progression Factor`' containment reference.
      Parameters:
        `value` - the new value of the 'Progression Factor' containment reference.
      See Also:
        `getProgressionFactor()`

    - #### getForks

          org.eclipse.emf.common.util.EList<ForkDefinition> getForks()

      Returns the value of the 'Forks' reference list. The list contents are of type `ForkDefinition`.
      Returns:
        the value of the 'Forks' reference list.
      See Also:
        `DslPackage.getTimeSet_Forks()`

    - #### getMasterFork

          String getMasterFork()

      Returns the value of the 'Master Fork' attribute.
      Returns:
        the value of the 'Master Fork' attribute.
      See Also:
        `setMasterFork(String)`, `DslPackage.getTimeSet_MasterFork()`

    - #### setMasterFork

          void setMasterFork​(String value)

      Sets the value of the '`Master Fork`' attribute.
      Parameters:
        `value` - the new value of the 'Master Fork' attribute.
      See Also:
        `getMasterFork()`